RapidJSON: rapidjson::GenericArray< Const, ValueT > Class Template Reference

Public Types | Public Member Functions | Friends | List of all members
rapidjson::GenericArray< Const, ValueT > Class Template Reference

Helper class for accessing Value of array type. More...

`#include <document.h>`

## Public Types
typedef GenericArray< true, ValueT > | ConstArray
typedef GenericArray< false, ValueT > | Array
typedef ValueT | PlainType
typedef internal::MaybeAddConst< Const, PlainType >::Type | ValueType
typedef ValueType * | ValueIterator
typedef const ValueT * | ConstValueIterator
typedef ValueType::AllocatorType | AllocatorType
typedef ValueType::StringRefType | StringRefType

## Public Member Functions
| GenericArray (const GenericArray &rhs)
GenericArray & | operator= (const GenericArray &rhs)
SizeType | Size () const
SizeType | Capacity () const
bool | Empty () const
void | Clear () const
ValueType & | operator[] (SizeType index) const
ValueIterator | Begin () const
ValueIterator | End () const
GenericArray | Reserve (SizeType newCapacity, AllocatorType &allocator) const
GenericArray | PushBack (ValueType &value, AllocatorType &allocator) const
GenericArray | PushBack (StringRefType value, AllocatorType &allocator) const
template<typename T >
const GenericArray & | PushBack (T value, AllocatorType &allocator) const
GenericArray | PopBack () const
ValueIterator | Erase (ConstValueIterator pos) const
ValueIterator | Erase (ConstValueIterator first, ConstValueIterator last) const

## Friends
template<typename , typename >
class | GenericValue

## Detailed Description

### template<bool Const, typename ValueT>
class rapidjson::GenericArray< Const, ValueT >

Helper class for accessing Value of array type.

Instance of this helper class is obtained by `GenericValue::GetArray()`. In addition to all APIs for array type, it provides range-based for loop if `RAPIDJSON_HAS_CXX11_RANGE_FOR=1`.

The documentation for this class was generated from the following file:

- include/rapidjson/document.h